La Bibliothèque de Neverwinter Nights
Aide et informations diverses sur Neverwinter Nights ainsi que D&D3.
La date/heure actuelle est 17/09/2019 03:19:07


  Page 1 sur 1 ¤

Voir le sujet précédent ¤ Voir le sujet suivant 
Auteur Message
Jorgar Heise
Novice
Inscrit le: 03 Jan 2010
Messages: 10
Répondre en citant
Posté le : 03/01/2010 12:30:14 Sujet du message : Refus d'ouverture du module

Bonjour à tous !

J'ai récemment voulu ouvrir avec l'éditeur un module que j'avais débuté il y quelques années ( et oui !), or problème, l'éditeur refuse de le charger, me disant que la tête était invalide ou que le fichier était peut être abimé. Je ne pense pas que ça soit le cas, le module n'ayant pas bougé de son lieu de sauvegarde. Actuellement sont installés NWN, SoU, HoU, le tout passé à la dernière version, est également installé le CEP. Peut être le problème vient-il d'une non mise à jour du module, celui-ci n'ayant pas été fait avec les toutes dernières version du jeu installées? Avez vous déjà rencontré ce type de soucis? Y a t-il un moyen de "mettre à jour" mon module pour pouvoir y accéder de nouveau?

Merci !
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Ignorer l'utilisateur
 
Nissart
Légende vivante
Inscrit le: 07 Avr 2008
Messages: 443
Répondre en citant
Posté le : 03/01/2010 14:03:27 Sujet du message :

Je pense que comme tu dis ça ressemble à une non mise à jour de ton module.Ou alors peut être as tu des overrides qui gênent ton module .

Mais je vais laisser de bien meilleur que moi te répondre . Cool
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Ignorer l'utilisateur
 
Jez
Acolyte
Inscrit le: 08 Juin 2007
Messages: 31
Localisation: Dans les étoiles
Répondre en citant
Posté le : 04/01/2010 00:21:05 Sujet du message : Re: Refus d'ouverture du module


Jorgar Heise a écrit :
l'éditeur refuse de le charger, me disant que la tête était invalide ou que le fichier était peut être abimé.
Peux-tu donner le message exact stp?

Y-avait-il un/des haks installés dans ton module?
_________________
Whitefall, Post-Apo futuriste pour NWN1 *en pause*
Mes créations pour NWN1
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Visiter le site web du posteur MSN Messenger Ignorer l'utilisateur
 
Jorgar Heise
Novice
Inscrit le: 03 Jan 2010
Messages: 10
Répondre en citant
Posté le : 04/01/2010 19:24:14 Sujet du message :

Il y avait des haks oui, que j'ai réinstallés . J'avais aussi rajouté des choses dans le .erf, j'ai remis les éléments que j'avais rajoutés dans les répértoires adéquats.

Le message exact (ou autant que faire se peut, je n'ai pas mon PC avec NWN à portée de main): "L'éditeur ne peut ouvrir le module. Raison: Tête invalide. Il ne s'agit peut-être pas d'un fichier de module, ou ce dernier est peut-être corrompu"
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Ignorer l'utilisateur
 
Jez
Acolyte
Inscrit le: 08 Juin 2007
Messages: 31
Localisation: Dans les étoiles
Répondre en citant
Posté le : 05/01/2010 14:20:53 Sujet du message :

C'est le "tête invalide" qui m'interpelle. "Entête" je comprendrais, mais "tête" je ne vois pas, parceque NWN n'est pas vraiment géné par les têtes ^^

Sinon vu le genre de message, si comme Nissart l'a suggéré, ton override est vide, c'est qu'il y a quelque chose dans tes haks qui n'est plus compatible avec la dernière version de NWN. J'ai eu aussi ce problème avec des tilesets faits maison.

Si on part du principe que ton module n'est pas corrompu, tu as 2 possibilités:
- vérifier et adapter le contenu des haks pour s'assurer qu'ils sont compatibles NWN1.69 et les rendre compatible le cas échéant. (meilleure solution)

- changer les infos du module avec un editeur de base de données (TLKedit est très bien pour ça) pour enlever les choses qui ne sont plus compatibles. Mais là il faut savoir ce qu'on fait, et ça peut être très long. Je l'ai deja fait pour un vieux module qui contenait des traces de haks qui avaient été enlevés à la sauvage, ce qui faisait planter NWN.
_________________
Whitefall, Post-Apo futuriste pour NWN1 *en pause*
Mes créations pour NWN1
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Visiter le site web du posteur MSN Messenger Ignorer l'utilisateur
 
Jorgar Heise
Novice
Inscrit le: 03 Jan 2010
Messages: 10
Répondre en citant
Posté le : 05/01/2010 19:11:37 Sujet du message :

En quoi les overrides peuvent faire planter l'éditeur? Faut-il les vider?? Et les override_bak?

Comment peut on faire pour mettre à jour des Haks Paks?

EDIT: j'ai réalisé un test: installation de NWN, SoU, HoU sur un autre PC, sans mettre à jour avec internet la version du jeu. J'ai là aussi replacé mes Haks paks dans les fichiers concernés (à ceci prés que je n'ai pas retrouve de dossier.erf...). Le module refuse toujours de s'ouvrir, le message est le même à un détail près: au lieu du mot "tête", c'est le mot anglais "header" qui apparait, le reste du message restant en français.
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Ignorer l'utilisateur
 
Ivellios
Légende vivante
Inscrit le: 25 Jan 2005
Messages: 447
Localisation: Poitiers
Répondre en citant
Posté le : 05/01/2010 22:05:13 Sujet du message :

Comme tu précise que tu as encore le dossier de base ou était le module, vérifie si il n'y a pas une version de ton module en BackUp.

C'est simple si par exemple ton module s'appelle jaimeleschips, tu devrais avoir :
le module : jaimeleschips.mod
le backup : jaimeleschips.BackUp

Suffit de renommé l'extension .BackUp en .mod (en prenant soin de garder une copie du .mod original), et voir ce qu'il y à dedans, en général c'est une version de ton module avec quelques modifs en moins, et souvent non corrompu.

Dans les anciennes version de NwN c'était un problème récurrent (donc t'étonne pas si ton module est ancien ça arrive ^^), maintenant, c'est vraiment assez rare.
_________________
Scripts, systèmes, fonctions,... c'est par ici...
Pyjama pour castor, une vocation, un avenir sûr
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Visiter le site web du posteur MSN Messenger Ignorer l'utilisateur
 
Jez
Acolyte
Inscrit le: 08 Juin 2007
Messages: 31
Localisation: Dans les étoiles
Répondre en citant
Posté le : 06/01/2010 14:08:05 Sujet du message :


Jorgar Heise a écrit :
En quoi les overrides peuvent faire planter l'éditeur? Faut-il les vider?? Et les override_bak?
L'editeur n'aime pas certains genre de fichiers .2da, ou bien des .2da mal faits/modifiés? Ca peut le faire planter à l'ouverture ou à la fermeture. De façon générale il vaut mieux que ton override soit totalement vide (sauf si tu sais exactement pourquoi tu y met certains fichiers).

Les Override_bak sont des sauvegardes automatiques de l'override que NWN fait quand tu installes les extensions SOU et HOTU. Ca ne sert a rien. Ca sert juste à ceux qui auraient travaillé sur un module et mis des trucs dans l'override avant d'installer les extensions. Dans ton cas à priori tu peux les effacer puisque tu viens d'installer.


Jorgar Heise a écrit :
Comment peut on faire pour mettre à jour des Haks Paks?
C'est pas simple et ça va dépendre du problème exact. Je peux essayer de regarder le soucis de ton module si tu veux, il faudrait que tu le poste quelque part pour que je puisse le télécharger, là par exemple: [http]



Jorgar Heise a écrit :
lieu du mot "tête", c'est le mot anglais "header" qui apparait, le reste du message restant en français.
Il me semblait bien que "tête" n'avait rien a voir la dedans ^^
_________________
Whitefall, Post-Apo futuriste pour NWN1 *en pause*
Mes créations pour NWN1
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Visiter le site web du posteur MSN Messenger Ignorer l'utilisateur
 
Nissart
Légende vivante
Inscrit le: 07 Avr 2008
Messages: 443
Répondre en citant
Posté le : 06/01/2010 16:31:17 Sujet du message :


Jorgar Heise a écrit :
c'est le mot anglais "header"
Mauvaise traduction de l'editeur , Jez à raison c'est bien "entête".
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Ignorer l'utilisateur
 
Jorgar Heise
Novice
Inscrit le: 03 Jan 2010
Messages: 10
Répondre en citant
Posté le : 06/01/2010 19:34:58 Sujet du message :

Alors alors...tentative avec le Backup, que j'avais aussi précieusement gardé (par contre je ne connaissais pas la manoeuvre pour s'en "servir"). Le module consent à s'ouvrir, l'autre fichier serait donc bien corrompu. Par contre j'ai eu droit à un magnifique "Acess violation at address 00482F40 in module 'nwtoolste.exe'. Read of address:0000002C." Le message est apparu à l'essai d'ouvertur de certaines des zones, j'ai essayé deux fois, même message pour les mêmes zones, les suites de numéros changeant cependant à chaque fois.
Je ne crois pas avoir déjà rencontre ce type de message lorsque je bossais sur le module, bug ou autre problème d'après vous?
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Ignorer l'utilisateur
 
Jez
Acolyte
Inscrit le: 08 Juin 2007
Messages: 31
Localisation: Dans les étoiles
Répondre en citant
Posté le : 08/01/2010 02:20:02 Sujet du message :


Jorgar Heise a écrit :
"Acess violation at address 00482F40 in module 'nwtoolste.exe'. Read of address:0000002C." Le message est apparu à l'essai d'ouvertur de certaines des zones, j'ai essayé deux fois, même message pour les mêmes zones?
C'est caractéritique d'un problème de ressource (modèle 3D ou texture) normalement présent dans la zone et, soit elle n'y est plus (hak changé), soit elle est defectueuse, ou ne peut être lue correctement (drivers graphiques trop vieux, ou trop récents Razz). Si tu n'as jamais changé de hak, ça peut arriver avec certaines textures .dds (le format utilisé par NWN étant un format batard du vrai .dds, il arrive que certaines cartes ou drivers, ou mélange des deux, le lisent mal ou pas du tout). Donc je te conseillerais de tenter une mise à jour de drivers graphiques, ou l'inverse d'en utiliser des plus anciens. (tu peux nous donner ton modèle de carte graphique et tes drivers, ça aidera la recherche de solution)
_________________
Whitefall, Post-Apo futuriste pour NWN1 *en pause*
Mes créations pour NWN1
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Visiter le site web du posteur MSN Messenger Ignorer l'utilisateur
 
Jorgar Heise
Novice
Inscrit le: 03 Jan 2010
Messages: 10
Répondre en citant
Posté le : 08/01/2010 14:52:28 Sujet du message :

J'ai poursuivi mes test. J'ai récupéré le module via la manipulation du backup sur le pc sur lequel est installé la dernière version du jeu, ainsi que le CEP. Le module s'ouvre bien, j'ai en revanche toujours le message d'erreur. Ce message n'apparait que sur certaines zones, toujours les mêmes. Ce ne sont pourtant pas des grosses zones, ou des zones essentielles, ce qui veut dire qu'elles sont banales dans leur conception et donc dans le tileset, les placables, les rencontres, etc...utilisés.

Autre chose, le jeu en lui-même ne veut pas charger le module. Une fois le chargement du module lancé, un message d'erreur apparait, me disant que le module ne peut pas être chargé et qu'il est peut-être corrompu. Là, je pense qu'on rejoint peut-être le conflit de version dont je parlais au début non?

L'ordinateur sur lequel jeu et module sont installés est le même que celui avec lequel j'ai à l'époque monté le module. La carte graphique est une ATI MOBILITY RADEON X700, et j'avoue que je ne sais pas trop ou trouver la date et le nom des drivers les plus récents installés. Ceci dit, n'étant pas trés calé dans le domaine, je ne les ai pas mis à jour, mon ordi est donc une vieille machine qui ne veut plus lire ce qu'elle est pourtant arrivé à créer?
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Ignorer l'utilisateur
 
Jez
Acolyte
Inscrit le: 08 Juin 2007
Messages: 31
Localisation: Dans les étoiles
Répondre en citant
Posté le : 08/01/2010 19:44:46 Sujet du message :

Le CEP lui a évolué. A la version 2.0, toutes les textures ont été converties en .dds afin d'alléger la taille des haks, et considérant que la majorité des joueurs avaient renouvelé leurs ordis. Ce qui n'est visiblement pas ton cas.

Tu peux trouver des pilotes à jour pour ta carte ici: [http]
_________________
Whitefall, Post-Apo futuriste pour NWN1 *en pause*
Mes créations pour NWN1
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Visiter le site web du posteur MSN Messenger Ignorer l'utilisateur
 
Jorgar Heise
Novice
Inscrit le: 03 Jan 2010
Messages: 10
Répondre en citant
Posté le : 09/01/2010 11:43:02 Sujet du message :

A un tel point d'ailleurs que je ne parviens pas à mettre à jour mes drivers avec le lien que tu m'as donné, le pack que j'ai téléchargé, à l'installation, me dit qu'il ne trouve pas de drivers compatibles avec mon système actuel, j'ai pourtant effectué la bonne séléction sur le site par rapport à mon matériel.

Ce qui me surprend dans ton explication, c'est que le bugue que je constate, dans ce cas, n'est pas logique. Exemple; je vais avoir un access violation pour une zone appelée "caverne des gobelins", mais pas pour une autre appelée "cave sous le magasin". Or, les tilesets utilisés sont les mêmes, les placables sont tous du même genre, etc. Si l'édteur refuse d'ouvrir une zone parce que mon PC n'arrive pas à lire une texture en .dds, pourquoi dans ce cas il voudrait bien ouvrir une autre zone contenant pourtant les mêmes textures?
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Ignorer l'utilisateur
 
Nissart
Légende vivante
Inscrit le: 07 Avr 2008
Messages: 443
Répondre en citant
Posté le : 09/01/2010 13:12:30 Sujet du message :

Il me semble que moi aussi j'avais eu des problémes avec ce site pour mettre à jour les pilotes .

Et si ce n'était pas une texture mais un "placeable" qui merdait, dans ce cas l'éditeur pourrait t'ouvrir une zone A qui ne le contient pas mais une zone B le contenant ne s'ouvrirait pas .
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Ignorer l'utilisateur
 
Jorgar Heise
Novice
Inscrit le: 03 Jan 2010
Messages: 10
Répondre en citant
Posté le : 09/01/2010 18:44:57 Sujet du message :

Autre précision: les problèmes d'access violation apparaissent sur les deux PC sur lesquels je fais mes tests, c'est à dire celui sur lequel le jeu et les add ons sont installés sans mises à jours d'aucune sorte et sans CEP, et celui sur lequel le jeu est aussi complet que possible.
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Ignorer l'utilisateur
 
Jez
Acolyte
Inscrit le: 08 Juin 2007
Messages: 31
Localisation: Dans les étoiles
Répondre en citant
Posté le : 10/01/2010 04:17:34 Sujet du message :


Jorgar Heise a écrit :
Ce qui me surprend dans ton explication, c'est que le bugue que je constate, dans ce cas, n'est pas logique. Exemple; je vais avoir un access violation pour une zone appelée "caverne des gobelins", mais pas pour une autre appelée "cave sous le magasin". Or, les tilesets utilisés sont les mêmes, les placables sont tous du même genre, etc.
"Du même genre" ça ne veut rien dire ça =)

Il suffit d'un seul placeable (ou creature, ou autre chose) avec une texture qui lui est propre et ça plantera. Mais bon je ne garantis pas que pour ça que ça plante. C'est juste ce qui me semble le plus plausible avec les informations que tu donnes.
_________________
Whitefall, Post-Apo futuriste pour NWN1 *en pause*
Mes créations pour NWN1
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Visiter le site web du posteur MSN Messenger Ignorer l'utilisateur
 
Jorgar Heise
Novice
Inscrit le: 03 Jan 2010
Messages: 10
Répondre en citant
Posté le : 10/01/2010 11:39:41 Sujet du message :

Si je prends les tilesets, j'ai une zone qui plante et une autre non alors qu'elles utilisent toute deux le même tileset de caverne.
 
Revenir en haut Voir le profil de l'utilisateur Envoyer un message privé Ignorer l'utilisateur
 
Montrer les messages depuis :
Page 1 sur 1 ¤


Vous ne pouvez pas poster de nouveaux sujets dans ce forum
Vous ne pouvez pas répondre aux sujets dans ce forum
Vous ne pouvez pas éditer vos messages dans ce forum
Vous ne pouvez pas supprimer vos messages dans ce forum
Vous ne pouvez pas voter dans les sondages de ce forum


Sauter vers:
FAQ | Rechercher | Liste des Membres | Groupes d'utilisateurs | S'enregistrer | Profil | Se connecter pour vérifier ses messages privés | Connexion
Powered by phpBB 2.* [m] © 2001, 2002 phpBB Group
Theme rewritten in beautiful XHTML code by Baldurien.
Thème "La Bibliothèque de Neverwinter" crée par Kruger
Traduction par : phpBB-fr.com
Page generated in 20.459ms